> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plude.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create price



## OpenAPI

````yaml post /prices
openapi: 3.0.1
info:
  title: Plude
  description: Headless subscription management and recurring billing.
  termsOfService: https://plude.com/terms
  contact:
    name: Corporate Contact
    url: https://plude.com/contact
  license:
    name: License
    url: https://plude.com/license
  version: v4.2024.7.1
servers: []
security:
  - Bearer: []
paths:
  /prices:
    post:
      tags:
        - Prices
      summary: Create price
      parameters:
        - name: x-environment
          in: header
          description: >-
            Configure which environment the request will handle. If the provided
            credentials do not allow access to this specified environment, a 403
            Forbidden response is returned.
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePriceRequest'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Price'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '500':
          description: Internal Server Error
components:
  schemas:
    CreatePriceRequest:
      required:
        - method
        - name
        - priceModel
        - purchase
        - termCount
        - termUnit
      type: object
      properties:
        name:
          maxLength: 250
          minLength: 1
          type: string
          description: A brief description of this price.
        description:
          maxLength: 4000
          type: string
          description: An optional description of the price.
          nullable: true
        termUnit:
          $ref: '#/components/schemas/TermUnit'
        termCount:
          maximum: 10000
          minimum: 1
          type: integer
          description: "A numerical value indicating the interval in combination with the Plude.API.Endpoints.Prices.CreatePrice.CreatePriceRequest.TermUnit. \r\n\r\nEx. 30 with a Plude.API.Endpoints.Prices.CreatePrice.CreatePriceRequest.TermUnit of day means 30 days."
          format: int32
        purchase:
          $ref: '#/components/schemas/PurchaseType'
        priceModel:
          $ref: '#/components/schemas/PriceModel'
        method:
          $ref: '#/components/schemas/BillingMethod'
        pricing:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/CreatePriceEntryRequest'
          description: >-
            Dictionary with pricing entries. Key is a three-letter ISO currency
            code, in lowercase. Must be a supported currency.
          nullable: true
      additionalProperties: false
    Price:
      type: object
      properties:
        id:
          type: string
          description: Unique id for the price.
          format: uuid
          readOnly: true
        name:
          type: string
          description: Name of the price.
          nullable: true
          readOnly: true
        description:
          type: string
          description: >-
            Internal description for this price, not shown to customers.
            Typically notes for your team.
          nullable: true
        priceModel:
          $ref: '#/components/schemas/PriceModel'
        purchase:
          $ref: '#/components/schemas/PurchaseType'
        termCount:
          type: integer
          description: Billing cycle's term frequency (count).
          format: int32
        termUnit:
          $ref: '#/components/schemas/TermUnit'
        pricing:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/PricingEntry'
          nullable: true
          readOnly: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    TermUnit:
      enum:
        - day
        - week
        - month
        - year
      type: string
    PurchaseType:
      enum:
        - one_time
        - recurring
      type: string
    PriceModel:
      enum:
        - fee
        - volume
        - graduated
        - package
      type: string
    BillingMethod:
      enum:
        - advance
        - arrears
        - event_based
      type: string
    CreatePriceEntryRequest:
      required:
        - feeAmount
        - unitAmount
      type: object
      properties:
        unitAmount:
          type: integer
          description: Sets the monetary amount per unit.
          format: int64
        feeAmount:
          type: integer
          description: Sets the monetary amount per fee.
          format: int64
        tiers:
          type: array
          items:
            $ref: '#/components/schemas/TierRequest'
          nullable: true
      additionalProperties: false
    PricingEntry:
      type: object
      properties:
        unitAmount:
          type: integer
          format: int64
          nullable: true
        feeAmount:
          type: integer
          format: int64
          nullable: true
        tiers:
          type: array
          items:
            $ref: '#/components/schemas/PriceTier'
          nullable: true
      additionalProperties: false
    TierRequest:
      type: object
      properties:
        unitAmount:
          type: integer
          description: Sets the monetary amount per unit for the tier.
          format: int64
        feeAmount:
          type: integer
          description: Sets the monetary amount per fee for the tier.
          format: int64
        upTo:
          type: integer
          format: int32
      additionalProperties: false
    PriceTier:
      type: object
      properties:
        unitAmount:
          type: integer
          format: int64
          readOnly: true
        feeAmount:
          type: integer
          format: int64
          readOnly: true
        upTo:
          type: integer
          format: int32
          readOnly: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: "JWT Authorization header using the Bearer scheme. \r\n\r\n Enter 'Bearer' [space] and then your token in the text input below.\r\n\r\nExample: \"Bearer 12345abcdef\""
      scheme: Bearer

````